Subject: Is this a bug or did I miss some docs?

From: Christopher McCrory <[email-masked]>
Date: 19 Nov 2002 10:44:48 -0800

Hello...

	While tracking down a bug on our web site, I found the solution:
adding
SetEnvIf User-Agent ".*MSIE.*" \
         nokeepalive ssl-unclean-shutdown \
         downgrade-1.0 force-response-1.0

This is documented.  The problem was that this was in the global
httpd.conf file in a <VirtualHost _default_:443> stanza.

To get this to work I had to add it to my specific stanza:
<VirtualHost 192.168.120.16:443>
        ServerName www.pricegrabber.com
<snip>
SetEnvIf User-Agent ".*MSIE.*" \
         nokeepalive ssl-unclean-shutdown \
         downgrade-1.0 force-response-1.0
</VirtualHost>

This is easy to test using the 
SSLCipherSuite ...
config

in <VirtualHost _default_:443>
SSLCipherSuite -ALL
...

The site still works.  Not until I add SSLCipherSuite -ALL to the
specific stanza does https break.

Did I just miss the documentation for this?

versions:
mod_ssl-2.8.11-0.01pg
apache-1.3.27-0.27pg
openssl-0.9.6b-28

from my main httpd.conf file I: 'include include.d' and have seperate
files for individual sites, i.e. include.d/httpd.conf.pg.ssl

-- 
Christopher McCrory <[email-masked]>
Pricegrabber

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]